# std::experimental::clamp

From cppreference.com
< cpp‎ | experimental‎ | simd

Defined in header `<experimental/simd>` |  |
template < class T, class Abi > simd<T, Abi> clamp( const simd<T, Abi>& v, const simd<T, Abi>& lo, const simd<T, Abi>& hi ); |  |

### Parameters

v | - | the elements to clamp
lo, hi | - | the boundaries to clamp v to

### Return value

The result of element-wise application of std::clamp(v[i], lo[i], hi[i]) for all i ∈ [0, size()).

### Example

### See also

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/simd/clamp&oldid=102706"